# Uses of Interface
org.eclipse.equinox.security.auth.credentials.IPrivateCredential

Packages that use IPrivateCredential
Package
Description
org.eclipse.equinox.security.auth.credentials
Defines basic user credentials

## Uses of IPrivateCredential in org.eclipse.equinox.security.auth.credentials

Methods in org.eclipse.equinox.security.auth.credentials that return IPrivateCredential
Modifier and Type
Method
Description
`static IPrivateCredential`
CredentialsFactory.`privateCredential(PBEKeySpec privateKey, String providerID)`
Login modules can use this method to create new private credentials.